## ros-rolling-ublox 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ublox)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-rolling-ublox (2.0.0-2focal) focal; urgency=high

  * Initial ROS 2 port to Dashing
  * Port the ublox package to ROS 2.
  * Start ROS 2 port by COLCON_IGNORE everything.
  * Contributors: Chao Qu, Chris Lalancette

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 13 Oct 2020 00:00:00 -0000

ros-rolling-ublox (1.2.0-2focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-ublox (1.1.2-2focal) focal; urgency=high

  * README and package xml updates
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 02 Aug 2017 00:00:00 -0000

ros-rolling-ublox (1.1.0-2focal) focal; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * README and ublox package version
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 17 Jul 2017 00:00:00 -0000

ros-rolling-ublox (1.0.0-2focal) focal; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 23 Jun 2017 00:00:00 -0000

ros-rolling-ublox (0.0.5-2focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 06 Aug 2016 00:00:00 -0000

ros-rolling-ublox (0.0.4-2focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 08 Dec 2014 00:00:00 -0000

ros-rolling-ublox (0.0.3-2focal) focal; urgency=high

  * Updated readme to reflect changes
  * Contributors: Gareth Cross

 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 18 Oct 2014 00:00:00 -0000

ros-rolling-ublox (0.0.2-2focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 03 Oct 2014 00:00:00 -0000

ros-rolling-ublox (0.0.1-2focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 15 Aug 2014 00:00:00 -0000

ros-rolling-ublox (0.0.0-2focal) focal; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 23 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-ublox
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/ublox
Standards-Version: 3.9.2

Package: ros-rolling-ublox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ublox-gps, ros-rolling-ublox-msgs, ros-rolling-ublox-serialization, ros-rolling-ros-workspace
Description: Provides a ublox_gps node for u-blox GPS receivers, messages, and serialization packages for the binary UBX protocol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ublox//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ublox 2.3.0

=== debian/changelog ===
ros-rolling-ublox (2.3.0-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 13 Apr 2022 07:00:00 -0000

ros-rolling-ublox (2.0.0-2jammy) jammy; urgency=high

  * Initial ROS 2 port to Dashing
  * Port the ublox package to ROS 2.
  * Start ROS 2 port by COLCON_IGNORE everything.
  * Contributors: Chao Qu, Chris Lalancette

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 13 Oct 2020 07:00:00 -0000

ros-rolling-ublox (1.2.0-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-ublox (1.1.2-2jammy) jammy; urgency=high

  * README and package xml updates
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 02 Aug 2017 07:00:00 -0000

ros-rolling-ublox (1.1.0-2jammy) jammy; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * README and ublox package version
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 17 Jul 2017 07:00:00 -0000

ros-rolling-ublox (1.0.0-2jammy) jammy; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 23 Jun 2017 07:00:00 -0000

ros-rolling-ublox (0.0.5-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 06 Aug 2016 07:00:00 -0000

ros-rolling-ublox (0.0.4-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 08 Dec 2014 08:00:00 -0000

ros-rolling-ublox (0.0.3-2jammy) jammy; urgency=high

  * Updated readme to reflect changes
  * Contributors: Gareth Cross

 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 18 Oct 2014 07:00:00 -0000

ros-rolling-ublox (0.0.2-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 03 Oct 2014 07:00:00 -0000

ros-rolling-ublox (0.0.1-2jammy) jammy; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 15 Aug 2014 07:00:00 -0000

ros-rolling-ublox (0.0.0-2jammy) jammy; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 23 Jun 2014 07:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
